Description

In future version (e.g. 0.0.2) there can be added Meta tags editing interface. Several options how this can be implemented come to

my mind:

1. Global Meta tags

The simpliest one is to add “Meta tags” link to Admin menu.

2. Per project meta tags

The “Meta tags” link can be also added to project settings menu (or just project menu).

3. Redmine-wide Meta tags

Another option is to add “Meta tags” link into top menu.

Each of the option can support the following:

1. Add global Meta tags (or just default) which would be shown for each page of the site

1

;

2. Add project Meta tags (or default tags for the project) which would shown for each page of a project (project needs to be

selected);

3. Add page meta tags - you specify meta tags and URL to show for (here URL can be a regexp).

See also:

http://www.redmine.org/issues/225

http://www.redmine.org/issues/3121

1

 perhaps not good for “Per project meta tags” option

Related issues:

Related to Meta - Feature #2148: Cache meta tags Open 04 Feb 2013

History

#1 - 09 Jun 2011 21:40 - Andriy Lesyuk

- Status changed from Incomplete to Open

- Assignee set to Andriy Lesyuk

- Target version set to 0.2.2

The task is clear... There should be two settings pages:

Project META settings page in project settings tabs

This page will allow specifying META description and META keywords (input - user will need to enter comma-separated values) for all project

pages except ones defining META data or using META data from content...

Global META settings located in global settings menu (e.g. Trackers etc)

This page will contain list of META “configurations” and allowing to add new “configuration” having title (allowing to identify configuration), META

description, META keywords and URL regexp. This way administrator will be able to define META data for particular pages.

What is unclear is how many users need this functionality?.. I’m not sure if I do... So if you need this please let me know by voting (to vote you

need to sign in)!
#2 - 04 Feb 2013 12:09 - Andriy Lesyuk

- Target version deleted (0.2.2)

#3 - 05 Jun 2014 00:30 - Andriy Lesyuk

- File Edit-meta.png added

Slightly changed my view of the task:

Per-page Meta description and keywords could be stored in the new database table, e.g., meta_data.

This table should have the following significant fields:

type – e.g., News, Message and so on.

type_id – the numeric identifier.

Same table could be used for caching Meta data, I guess (see #2148)...

There should be also a separate form, that allows editing these meta data. Such form could be available under a new link in the contextual menu. The

name of the link could be “Edit meta”...

 

Icons can be:

https://www.iconfinder.com/icons/64322/custom_google_search_icon#size=16

https://www.iconfinder.com/icons/64056/data_grid_icon#size=16

Maybe also to allow attaching OpenGraph image to the Meta data (see #2271)?..

Files

Edit-meta.png 3.17 KB 05 Jun 2014 Andriy Lesyuk

Powered by TCPDF (www.tcpdf.org)

13 Jul 2025 2/2

http://projects.andriylesyuk.com/issues/2148
https://www.iconfinder.com/icons/64322/custom_google_search_icon#size=16
https://www.iconfinder.com/icons/64056/data_grid_icon#size=16
http://projects.andriylesyuk.com/issues/2271
http://www.tcpdf.org

